{% set has_spatial = dataset.spatial_value %}
{% set has_temporal = dataset.temporal_label or dataset.temporal_start or dataset.temporal_end %}

{{ dataset.spatial_value }}
{{ dataset.spatial_scheme }}

{% if has_spatial or has_temporal %}
  <div class="row mx-1 mb-3">
    <h3 class="dataset__title dex_-title--sub mt-4">
      {{ 'Spatial & Temporal'|t }}
    </h3>
    <table class="dataset__table table">
      <tbody>
      <tr>
        <td class="ps-30">{{ 'Spatial'|t }}</td>
        <td>
          {% for spatial in dataset.spatial_value %}
            {{ spatial }} ({{ dataset.spatial_scheme[loop.index]|identifier_to_label('Overheid:SpatialScheme') }})<br>
          {% endfor %}
        </td>
      </tr>
      <tr>
        <td class="ps-30">{{ 'Timeperiod'|t }}</td>
        <td>
          {% if dataset.temporal_label %}
            {{ temporal_label }} <br>
          {% endif %}

          {% if dataset.temporal_start and not dataset.temporal_end %}
            {% set temporal_start = dataset.temporal_start|date('Y-m-d H:i:s') %}
            <time datetime="{{ temporal_start }}">{{ temporal_start|date('d/m/Y') }}</time> - ??
          {% elseif dataset.temporal_end and not dataset.temporal_start %}
            {% set temporal_end = dataset.temporal_end|date('Y-m-d H:i:s') %}
            ?? - <time datetime="{{ temporal_end }}">{{ temporal_end|date('d/m/Y') }}</time>
          {% elseif dataset.temporal_start and dataset.temporal_end %}
            {% set temporal_start = dataset.temporal_start|date('Y-m-d H:i:s') %}
            {% set temporal_end = dataset.temporal_end|date('Y-m-d H:i:s') %}
            <time datetime="{{ temporal_start }}">{{ temporal_start|date('d/m/Y') }}</time> - <time datetime="{{ temporal_end }}">{{ temporal_end|date('d/m/Y') }}</time>
          {% endif %}
        </td>
      </tr>
      </tbody>
    </table>
  </div>
{% endif %}
